#!/usr/bin/perl -an

BEGIN {
  $n = 0.0;
  $s = 0.0;
  $min = 1e9;
  $max = -1e9;
  $FIELD = shift;
  @vs = 0;
}

$v = $F[$FIELD];
next unless $v =~ /^\d+/;

$n++;
push @vs, $v;

$min = $v if ($v < $min);
$max = $v if ($v > $max);

$s += $v;

END {
  $avg = $s/$n;
  foreach $d (map { ($avg - $_)**2 } @vs) { $ss += $d; }
  $sdv = sqrt($ss/($n-1));
  printf "$n pts. avg = %8.3f pm %8.3f ; rng = [$min, $max]\n", $avg, $sdv;
}
